<?php

/*-----------------------------------------------------------------------------------*/
/* Enqueu scripts */
/*-----------------------------------------------------------------------------------*/   

if (!function_exists('jungla_enqueue_scripts')) {

	function jungla_enqueue_scripts() {

		wp_deregister_style( 'savana-lite-style' );
		wp_deregister_style( 'savana-lite-' . esc_attr(get_theme_mod('savana_lite_skin', 'orange')) );

		wp_enqueue_style( 'jungla-parent-style' , get_template_directory_uri() . '/style.css' ); 
		wp_enqueue_style( 'jungla-style' , get_stylesheet_directory_uri() . '/style.css' ); 

		wp_enqueue_style(
			'jungla-child-' . esc_attr(get_theme_mod('savana_lite_skin', 'orange')),
			get_stylesheet_directory_uri() . '/assets/skins/' . esc_attr(get_theme_mod('savana_lite_skin', 'orange')) . '.css',
			array( 'jungla-style' ),
			'1.0.0'
		);

	}
	
	add_action( 'wp_enqueue_scripts', 'jungla_enqueue_scripts', 998);

}

/*-----------------------------------------------------------------------------------*/
/* Replace hooks */
/*-----------------------------------------------------------------------------------*/ 

if (!function_exists('jungla_replace_hooks')) {

	function jungla_replace_hooks() {
		
		remove_action('savana_lite_slick_slider', 'savana_lite_slick_slider_function');

	}
	
	add_action('init','jungla_replace_hooks');

}

/*-----------------------------------------------------------------------------------*/
/* Theme setup */
/*-----------------------------------------------------------------------------------*/ 

if (!function_exists('jungla_theme_setup')) {

	function jungla_theme_setup() {

		load_child_theme_textdomain( 'jungla', get_stylesheet_directory() . '/languages' );

		require_once( trailingslashit( get_stylesheet_directory() ) . 'core/functions/function-style.php' );

		require_once( trailingslashit( get_stylesheet_directory() ) . 'core/post/hero-article.php' );
		require_once( trailingslashit( get_stylesheet_directory() ) . 'core/templates/related-posts.php' );
		require_once( trailingslashit( get_stylesheet_directory() ) . 'core/templates/homepage-slider.php' );

	}

	add_action( 'after_setup_theme', 'jungla_theme_setup', 999);

}

/*-----------------------------------------------------------------------------------*/
/* Customize register */
/*-----------------------------------------------------------------------------------*/   

if (!function_exists('jungla_customize_register')) {

	function jungla_customize_register( $wp_customize ) {

		$wp_customize->add_setting( 'jungla_enable_related_posts', array(
			'default' => 'on',
			'sanitize_callback' => 'jungla_checkbox_sanize',
		));

		$wp_customize->add_control( 'jungla_enable_related_posts' , array(
			'type' => 'checkbox',
			'section' => 'settings_section',
			'label' => esc_html__('Related posts','jungla'),
			'description' => esc_html__('Do you want to display the related posts at the end of each article?','jungla'),
		));
		
		function jungla_checkbox_sanize ($input) {
		
			return $input ? true : false;
			
		}
		
	}
	
	add_action( 'customize_register', 'jungla_customize_register', 11 );

}

?>